
QGIS Application - Bug report #7134

new labels are not saved in qml as they were old labels

2013-02-10 03:52 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16201

Description

With old labels/symbology the labels were saved with other symbology stuff inside th qml style file. The new labels are not.

Unless this is by design this is a regression.

Related issues:

Duplicates QGIS Application - Feature request # 3300: new labeling should be ... Closed

Associated revisions

Revision 87ca653e - 2013-05-29 11:38 PM - Nathan Woodrow 

Fix #7134

History

#1 - 2013-03-07 06:48 PM - John Tull

And the inverse is true as well. I.e., loading a qml file with labeling definitions fails to change the labeling options in the layer.

#2 - 2013-05-28 04:55 PM - Nathan Woodrow

- Resolution set to worksforme

- Status changed from Open to Closed

Seems to be fine in master now. Reopen if not fixed for you.

#3 - 2013-05-28 05:12 PM - Giovanni Manghi

- Resolution deleted (worksforme)

- Status changed from Closed to Reopened

I just updated on osgeo4w and still does not work. When you apply the .qml style the labels does not show and in fact the "label this layer with" checkbox is

not even active.

The fix had been applied after the latest qgis revision available now on osgeo4w? if yes you can close (again) this ticket. Cheers!

#4 - 2013-05-28 05:15 PM - Nathan Woodrow
Ok yes it seems the loading is the issue.

#5 - 2013-05-28 06:40 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#6 - 2013-05-28 06:40 PM - Nathan Woodrow

Fix in progress.

#7 - 2013-05-28 06:59 PM - Nathan Woodrow

- Assignee changed from Nathan Woodrow to Larry Shaffer

Larry is taking a look now.

#8 - 2013-05-29 05:51 PM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"87ca653e8987069950bd9e65bdb9666c8daacf1c".
